summaryrefslogtreecommitdiffstats
path: root/office/homebank
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 15:03:02 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:03:02 +0200
commit84e7fc6dcbb15dd3825f78dc2afbb5da1a9b7d59 (patch)
treee5e675757b6ba90650242ba60f8b959ba3953557 /office/homebank
parent344e3c8c9a32a820ce756ccf6df5ce5454b791f2 (diff)
downloadslackbuilds-84e7fc6dcbb15dd3825f78dc2afbb5da1a9b7d59.tar.gz
slackbuilds-84e7fc6dcbb15dd3825f78dc2afbb5da1a9b7d59.tar.xz
office/homebank: Initial import
Diffstat (limited to 'office/homebank')
-rw-r--r--office/homebank/README15
-rw-r--r--office/homebank/doinst.sh3
-rw-r--r--office/homebank/homebank.SlackBuild52
-rw-r--r--office/homebank/homebank.desktop11
-rw-r--r--office/homebank/homebank.info8
-rw-r--r--office/homebank/slack-desc11
6 files changed, 100 insertions, 0 deletions
diff --git a/office/homebank/README b/office/homebank/README
new file mode 100644
index 0000000000..9c7d8afec8
--- /dev/null
+++ b/office/homebank/README
@@ -0,0 +1,15 @@
+HomeBank is the free software you have always wanted to manage your personal
+accounts at home. The main concept is to be light, simple and very easy to
+use. It brings you many features that allows you to analyze your finances in
+a detailed way instantly and dynamically with powerfull report tools based on
+filtering and graphical charts.
+
+Furthermore HomeBank benefits now for more than 10 years of users experiences
+and feedbacks as its development started in 1995 on Amiga computers. It is now
+available on Amiga, GNU/Linux, and will probably be soon available for
+Microsoft Windows and MacOS X systems, as GTK+ exists on it.
+
+Really, if you are looking for an easy way to do your home accounts, then
+HomeBank should be the software you choose. Just take a little time to try it
+out now, and you won't regret doing so...
+
diff --git a/office/homebank/doinst.sh b/office/homebank/doinst.sh
new file mode 100644
index 0000000000..85aad974d0
--- /dev/null
+++ b/office/homebank/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database &> /dev/null
+fi
diff --git a/office/homebank/homebank.SlackBuild b/office/homebank/homebank.SlackBuild
new file mode 100644
index 0000000000..9d9411aef0
--- /dev/null
+++ b/office/homebank/homebank.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for homebank
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=homebank
+VERSION=3.2.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f1 -d: | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/share/applications $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/homebank/homebank.desktop b/office/homebank/homebank.desktop
new file mode 100644
index 0000000000..2a14750ccd
--- /dev/null
+++ b/office/homebank/homebank.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=HomeBank
+GenericName=Personal Accounting
+Comment=HomeBank, manage personal finances
+Exec=homebank
+Icon=/usr/share/homebank/images/homebank.svg
+Terminal=false
+Type=Application
+Categories=Application;Office;Finances
+StartupNotify=true
diff --git a/office/homebank/homebank.info b/office/homebank/homebank.info
new file mode 100644
index 0000000000..2345798c79
--- /dev/null
+++ b/office/homebank/homebank.info
@@ -0,0 +1,8 @@
+PRGNAM="homebank"
+VERSION="3.2.1"
+HOMEPAGE="http://homebank.free.fr/"
+DOWNLOAD="http://homebank.free.fr/public/homebank-3.2.1.tar.gz"
+MD5SUM="825adf3641aefe89e64fb055cf8f6a87"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/office/homebank/slack-desc b/office/homebank/slack-desc
new file mode 100644
index 0000000000..da0fd2eb3e
--- /dev/null
+++ b/office/homebank/slack-desc
@@ -0,0 +1,11 @@
+homebank: HomeBank - Free easy personal accounting for all!
+homebank:
+homebank: HomeBank is the free software you have always wanted to manage your
+homebank: personal accounts at home. The main concept is to be light, simple
+homebank: and very easy to use. It brings you many features that allows you
+homebank: to analyze your finances in a detailed way instantly and
+homebank: dynamically with powerfull report tools based on filtering and
+homebank: graphical charts.
+homebank:
+homebank: http://homebank.free.fr/
+homebank: